<template>
	<nav id="home" class="navbar is-transparent" role="navigation" aria-label="main navigation">
	  <div class="navbar-brand">
	    <a class="navbar-item" href="http://desafioagora2030.fiocruz.br/">
	      <img src="../../../assets/imgs/agora-sm.png" alt="Agora2030" width="175" height="72" />
	    </a>

	    <div class="navbar-burger burger" data-target="navMenuTransparentExample">
	      <span></span>
	      <span></span>
	      <span></span>
	    </div>
	  </div>

	  <div class="navbar-menu">
	  	<div class="navbar-end">
	  		<div class="navbar-item">
		  		<router-link to="/#inicio" class="link" v-scroll-to="'#inicio'" v-if="isHome">Início</router-link>
		  		<router-link to="/#inicio" class="link" v-else>Início</router-link>
		  	</div>
		  	
		  	<div class="navbar-item">
		  		<router-link to="/#iniciativas" class="link" v-scroll-to="'#iniciativas'" v-if="isHome">Iniciativas</router-link>
		  		<router-link to="/#iniciativas" class="link" v-else>Iniciativas</router-link>
		  	</div>

		  	<div class="navbar-item">
		  		<router-link to="/#comecar" class="link" v-scroll-to="'#comecar'" v-if="isHome">Começar</router-link>
		  		<router-link to="/#comecar" class="link" v-else>Começar</router-link>
		  	</div>
	  	</div>
	  </div>
	</nav>	
</template>

<script type="text/javascript">
export default {
	name: "Top",
	data () {
		return {
			isHome: (window.location.pathname === '/')
		}
	}
}
</script>

<style scoped>
	.navbar {
		background: none;
		height: 80px;
	}
	.navbar-brand {
	}
		.navbar-item img {
			max-width: 175px;
			max-height: 72px;
		}


	.link {
		color: #4a4d51;
		font-weight: bold;
		text-transform: uppercase;
	} 
	.link.active, .link:hover {
		border-bottom: 2px solid #4ba146;		
	}
</style>